﻿using System;
using System.Configuration;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CustomScaleBar
{
    public partial class TestForm : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-341587,7130628,-333208,7125517);
                Map1.MapUnit = GeographyUnit.Meter;

                Map1.MapTools.MouseCoordinate.Enabled = true;

                BingMapsOverlay ve = new BingMapsOverlay("VirtualEarth Map");
                ve.MapType = BingMapsStyle.Road;
                Map1.CustomOverlays.Add(ve);

                LayerOverlay adornmentOverlay = new LayerOverlay("AdornmentOverlay", false, TileType.SingleTile);
                adornmentOverlay.TransitionEffect = TransitionEffect.None;

                //Projection to be used for the scale bar based on Google Map projection (Spherical Mercator)for the map projection and Geodetic (EPSG 4326) or decimal degrees to
                //calculate the scale bar.
                ManagedProj4Projection proj4 = new ManagedProj4Projection();
                proj4.InternalProjectionParametersString = ManagedProj4Projection.GetGoogleMapParametersString();
                proj4.ExternalProjectionParametersString = ManagedProj4Projection.GetEpsgParametersString(4326);
               
                CustomScaleBar customScaleBar = new CustomScaleBar();
                // Text to be displayed on the scale bar for kilometers.
                customScaleBar.UnitText = "Kilometers";
                //Ratio of meters to kilometes.
                customScaleBar.MeterToUnit = 1000;
                customScaleBar.Projection = proj4;
                
                adornmentOverlay.Layers.Add(customScaleBar);
               
                Map1.CustomOverlays.Add(adornmentOverlay);
            }
        }
    }
}
